# Simple toolchain template file for clang running on x86_64 Linux
set(CMAKE_SYSTEM_NAME Linux)
set(CMAKE_SYSTEM_PROCESSOR x86_64)

set(CMAKE_SYSROOT /opt/x86_64-linux-musl/x86_64-linux-musl/sys-root/)
set(CMAKE_INSTALL_PREFIX $ENV{prefix})

set(CMAKE_C_COMPILER   /opt/bin/clang)
set(CMAKE_CXX_COMPILER /opt/bin/clang++)
set(CMAKE_Fortran_COMPILER /opt/bin/gfortran)

set(CMAKE_LINKER  /opt/bin/x86_64-linux-musl-ld)
set(CMAKE_OBJCOPY /opt/bin/x86_64-linux-musl-objcopy)

set(CMAKE_AR     /opt/bin/x86_64-linux-musl-ar)
set(CMAKE_NM     /opt/bin/x86_64-linux-musl-nm)
set(CMAKE_RANLIB /opt/bin/x86_64-linux-musl-ranlib)


if( $ENV{CC} MATCHES ccache )
    set_property(GLOBAL PROPERTY RULE_LAUNCH_COMPILE ccache)
endif()
